--- src/pdfviewer/pdfviewer.pri.orig	2020-01-16 03:10:58.000000000 +0800
+++ src/pdfviewer/pdfviewer.pri	2024-06-23 17:30:50.000000000 +0800
@@ -57,32 +57,30 @@
         macx { # PATH to pkgconfig needs to be present in build PATH
             QT_CONFIG -= no-pkg-config
         }
-        poppler_qt_pkg = poppler-qt$${QT_MAJOR_VERSION}
-
-        CONFIG += link_pkgconfig
-
-        PKGCONFIG += $${poppler_qt_pkg}
-
-	!isEmpty(MXE){
-		message("Using MXE")
-		PKGCONFIG += lcms2
-		PKGCONFIG += libtiff-4
-		PKGCONFIG += libopenjp2
-	}
-
-        greaterThan(QT_MAJOR_VERSION,4){
+        !greaterThan(QT_MAJOR_VERSION, 4) { #Qt4
+            INCLUDEPATH += @PREFIX@/libexec/poppler-qt4-mac/include/poppler/qt4
+            LIBS += -L@PREFIX@/libexec/poppler-qt4-mac/lib/ \
+                -lpoppler-qt4
+        } else {
+            poppler_qt_pkg = poppler-qt$${QT_MAJOR_VERSION}
+            CONFIG += link_pkgconfig
+            PKGCONFIG += $${poppler_qt_pkg}
+        }
+	    !isEmpty(MXE) {
+		    message("Using MXE")
+		    PKGCONFIG += lcms2
+		    PKGCONFIG += libtiff-4
+		    PKGCONFIG += libopenjp2
+	    }
+        greaterThan(QT_MAJOR_VERSION,4) {
             PKG_CONFIG_EXE = $$pkgConfigExecutable()
             isEmpty(PKG_CONFIG_EXE) {
                 error("pkg-config not found. This tool is required if building with poppler. Please install it.")
             }
-        }else{
+        } else {
             PKG_CONFIG_EXE = "pkg-config"
         }
-	# work-around for travis osx build
-	LIBS += -L/usr/local/Cellar/poppler/0.61.0-texworks/lib
-
-        system($${PKG_CONFIG_EXE} --atleast-version=0.24 $${poppler_qt_pkg}):DEFINES += HAS_POPPLER_24
-        system($${PKG_CONFIG_EXE} --atleast-version=0.31 $${poppler_qt_pkg}):DEFINES += HAS_POPPLER_31
+        DEFINES += HAS_POPPLER_31
     }
 } else {
     DEFINES += NO_POPPLER_PREVIEW
